body {
    font-family: Arial, sans-serif;
    background-color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    margin: 0;
    padding: 20px;
}

h2 {
    text-align: center;
    color: teal;
}

form {
    background-color: white;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 100%;
    max-width: 600px;
}

fieldset {
    border: none;
    margin-bottom: 15px;
    padding: 15px;
    background-color: #f0f0f0;
    border-radius: 5px;
}

legend {
    font-weight: bold;
    color: teal;
    font-size: 1.2em;
}

.radio-group, .checkbox-group {
    display: flex;
    flex-direction: column;
    gap: 5px;
    align-items: start;
}

.radio-group input, .checkbox-group input {
    width: auto;
}

label {
    display: block;
    margin-top: 10px;
    font-weight: bold;
}

input, select, textarea {
    width: 95%;
    padding: 8px;
    margin-top: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

#demo {
    display: block;
    margin-top: 5px;
    font-size: 1.2em;
    text-align: center;
}

button {
    display: block;
    width: 30%;
    padding: 10px;
    background-color: teal;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1.1em;
    margin-top: 10px;
    margin-right: auto;
    margin-left: auto;
}

button:hover {
    background-color: darkcyan;
}

.clocktime {
    margin-left: auto;
}

.topContent {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 10px;
    width: 100%;
}

.topContentGrid {
    grid-column: span 2;
    width: 104%;
}


